//
//  SLRecomFriendsVc.m
//  SLAiELTS
//
//  Created by Gusont on 2023/4/21.
//

#import "SLRecomFriendsVc.h"
#import "LeftImageDesignTxtxField.h"
#import "SLRecomFriendsCell.h"
#import "SLRecomFriendModel.h"

@interface SLRecomFriendsVc ()<UITableViewDelegate, UITableViewDataSource>

@property (weak, nonatomic) IBOutlet NSLayoutConstraint *topConst;

@property (weak, nonatomic) IBOutlet LeftImageDesignTxtxField *textField;

@property (weak, nonatomic) IBOutlet UITableView *tableView;

@property (nonatomic, strong) NSMutableArray *friendsModel;

@end

@implementation SLRecomFriendsVc

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view from its nib.
    [self.tableView registerNibCellWithReuseIdentifierClass:SLRecomFriendsCell.class];
    self.topConst.constant = kNavBarHeight;
    self.navigationBar.separatorHeight = 0.0f;
    self.title = @"推荐好友";
    [self requestData];
}

- (void)requestData {
    [[SLHttpCenter SharedInstance] getWithUrl:@"/api/Contacts/FriendRecommendation" parameter:@{} success:^(id responseObject) {
        NSArray *dataArr = [responseObject objectForKey:@"data"];
        self.friendsModel = [SLRecomFriendModel mj_objectArrayWithKeyValuesArray:dataArr];
        [self.tableView reloadData];
    } failure:^(SPRequestError *error) {
        
    }];
}

-(NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section{
    return self.friendsModel.count;
}

-(UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath{
    SLRecomFriendsCell *cell = [tableView dequeueReusableCellWithIdentifier:NSStringFromClass(SLRecomFriendsCell.class)];
    SLRecomFriendModel *model = [self.friendsModel objectAtIndex:indexPath.row];
    [cell confignRecomFriendCell:model];
    return cell;
}

- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath {
    
}

- (CGFloat)tableView:(UITableView *)tableView heightForRowAtIndexPath:(NSIndexPath *)indexPath {
    return 80.0f;
}

- (UIView *)tableView:(UITableView *)tableView viewForFooterInSection:(NSInteger)section {
    return [[UIView alloc] initWithFrame:CGRectZero];
}

-(CGFloat)tableView:(UITableView *)tableView heightForFooterInSection:(NSInteger)section{
    return 0.001f;
}

-(CGFloat)tableView:(UITableView *)tableView heightForHeaderInSection:(NSInteger)section{
    return 0.001f;
}

- (NSMutableArray *)friendsModel {
    if (!_friendsModel) {
        _friendsModel = [NSMutableArray array];
    }
    return _friendsModel;
}

@end
